<?php
session_start();
ob_start();
include_once "inc/db_connect.php";
include_once "inc/fnc.php";
header('Content-Type: text/html;charset=utf8');
echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">';
echo '<html>';
echo '<head>';
echo '<title>Лотерея</title>';
echo '<meta http-equiv="Content-Type" content="text/html" charset="windows-1251" />';
echo '<meta name="description" content="Мобильные онлайн гонки">';
echo '<link rel="stylesheet" type="text/css" href="/style/default/mobile.css" />';
echo '</head>';
echo '<body>';
if(!isset($_GET['JlaHb']) || !ereg("^[a-z0-9_-]{1,15}$",$_GET['JlaHb'])) $JlaHb=false; else $JlaHb=$_GET['JlaHb'];
switch ($JlaHb){
case false:
default:
include 'head.php';
echo'<center><div class="title">Лотерея</div></center>';
echo'<div class="mono"><a href="?roulette&JlaHb=help"><u><b>Помощь</b></u></a></div>';	
echo'</div>
<form action="?roulette&JlaHb=ok" method="post" style="margin:0; padding:0;">
<div class="mono">
<img width="16" height="16" src="img/money2.png" alt="o"> Ваша ставка: <br><br><center><select class="select" name="sum">
<option value="1" selected>1 Золотая Монета
<option value="3">3 Золотых Монеты
<option value="5">5 Золотых Монет
<option value="10">10 Золотых Монет
<option value="15">15 Золотых Монет
<option value="20">20 Золотых Монет
<option value="25">25 Золотых Монет

</select></center><br/>
<img width="16" height="16" src="img/loto.png" alt="o"> Выиграет билет:
<br><br><center><select class="select" name="lin"></div>
<option value="1" selected>Номер 1
<option value="2">Номер 2
<option value="3">Номер 3
<option value="4">Номер 4
<option value="5">Номер 5
<option value="6">Номер 6
<option value="7">Номер 7
<option value="8">Номер 8
<option value="9">Номер 9
<option value="10">Номер 10


</select><br/></center>
<br><button>Вытянуть билет</button></div>
</form></div>'
;
include 'foot.php';

break;

case'ok':
$login = $data_user['id'];
$stav = mysql_escape_string(htmlspecialchars($_POST['sum']));
$lin = mysql_escape_string(htmlspecialchars($_POST['lin']));
echo'<div class="mono"><a href="?roulette8&JlaHb=help">Помощь</a></div>
<div class="btns">';
echo'
</div>
';
$ballans = $data_user['money2'];
if($stav < 1){
echo '<div class="mono"><font color="red">Минимальная ставка</font> <img width="16" height="16" src="img/money2.png" alt="o">1<br><center><a href="loto.php">Играть</a></center></div>';
break;
}
if($stav > 25){
echo '<div class="mono"><font color="red">Максимальная ставка</font> <img width="16" height="16" src="img/money2.png" alt="o">25</div>';
break;
}

if($lin > 15){
echo '<div class="mono"><font color="red">Ошибка</font></div>';
break;
}
if($lin < 1){
echo '<div class="mono"><font color="red">Ошибка</font></div>';
break;
}
if($ballans < $stav){
echo '<div class="mono">Недостаточно средств!<br/>
На балансе должно быть минимум <img width="16" height="16" src="img/money2.png" alt="o">'.$stav.' <br><a href="loto.php">Играть</a></div>';
exit;
}else{
mysql_query("UPDATE `users` SET `money2`=`money2`-'$stav' WHERE `id`='".$login."'");

}
$r1 = rand(1,10);
$r2 = rand(1,10); 
echo'<div class="cont">';
if($r1==$lin | $r2==$lin){
$r4 = rand(2,5);
$stav = $stav;
$kom = $stav * $comissia;
$sum = $stav * 2;
echo'<div class="mono"><b>Вы угадали</b><br/>Из '.$lin.' сундучка вы забираете <img width="16" height="16" src="img/money2.png" alt="o"> '.$sum.'</div><div class="mono"><a href="loto.php">Играть еще</a></div>';
if($_USER['pid']==null){
mysql_query("UPDATE `users` SET `money2`=`money2`+'".$sum."' WHERE `id`='".$login."'");
}else{
$pr = ($sum * $procref) / 100;

mysql_query("UPDATE `users` SET `money2`=`money2`+'".$sum."' WHERE `id`='".$login."'");
}

}else{
echo'<div class="mono"><b>Вы не угадали</b><br/>Приз был в '.$r1.', '.$r2.' сундучках<br/></div><div class="mono"><a href="loto.php">Играть еще</a></div>
';
}

echo'</div>';
break;


case'help':
echo'<div class="title">Помощь</div>
<div class="mono">
1.Вы делаете ставку.<br/><br>
2.Жмете "Вытянуть билет".<br/><br>
3.Перед Вами будут находиться 10 билетиков, в двух из них находится приз. Выигрыш умножает Вашу ставку в 2 раза. Все зависит от Вашей удачи. <br/>
</div>';
echo'<center><div class="menu"><a href="loto.php"><b>Назад</b></a></div></center><br>';	
include 'foot.php';
break;


}
?>